get_sdk¶
Operation¶
get_sdk
async
¶
get_sdk(input: GetSdkInput, plugins: list[Plugin] | None = None) -> GetSdkOutput
Generates a client SDK for a RestApi and Stage.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
input
|
GetSdkInput
|
An instance of |
required |
plugins
|
list[Plugin] | None
|
A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations. |
None
|
Returns:
| Type | Description |
|---|---|
GetSdkOutput
|
An instance of |
Input¶
GetSdkInput
dataclass
¶
Request a new generated client SDK for a RestApi and Stage.
Attributes¶
parameters
class-attribute
instance-attribute
¶
A string-to-string key-value map of query parameters sdkType-dependent
properties of the SDK. For sdkType of objectivec or swift, a
parameter named classPrefix is required. For sdkType of android,
parameters named groupId, artifactId, artifactVersion, and
invokerPackage are required. For sdkType of java, parameters named
serviceName and javaPackageName are required.
rest_api_id
class-attribute
instance-attribute
¶
rest_api_id: str | None = None
The string identifier of the associated RestApi.
Output¶
GetSdkOutput
dataclass
¶
The binary blob response to GetSdk, which contains the generated SDK.
Attributes¶
body
class-attribute
instance-attribute
¶
body: bytes | None = None
The binary blob response to GetSdk, which contains the generated SDK.